Subject: I-D Action: draft-gao-alto-routing-state-abstraction-06.txt

From: [email-masked]
Date: Mon, 03 Jul 2017 11:22:04 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.

        Title           : A Recommendation for Compressing ALTO Path Vectors
        Authors         : Kai Gao
                          Xin (Tony) Wang
                          Qiao Xiang
                          Chen Gu
                          Y. Richard Yang
                          G. Robert Chen
	Filename        : draft-gao-alto-routing-state-abstraction-06.txt
	Pages           : 23
	Date            : 2017-07-03

Abstract:
   The path vector extension [I-D.ietf-alto-path-vector] has extended
   the original ALTO protocol [RFC7285] with the ability to represent a
   more detailed view of the network, containing not only end-to-end
   metrics but also information about shared bottlenecks.

   However, the view computed by straw man algorithms can contain
   redundant information and result in unnecessary communication
   overhead.  The situation gets even worse when certain ALTO extensions
   are enabled, for example, the incremental update extension
   [I-D.ietf-alto-incr-update-sse] which continuously pushes data
   changes to ALTO clients.  Redundant information can trigger
   unnecessary updates.

   In this document, an algorithm is described which can effectively
   reduce the redundancy in the network view while still providing the
   same information as in the original path vectors.  The algorithm is
   fully compatible with the path vector extension and has several by-
   products which can be leveraged by other extensions to achieve better
   performances.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-gao-alto-routing-state-abstraction/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-gao-alto-routing-state-abstraction-06
https://datatracker.ietf.org/doc/html/draft-gao-alto-routing-state-abstraction-06

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-gao-alto-routing-state-abstraction-06

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/